# 1. Abonements: iegūt notikumus

Sekot abonementiem kad `IEVIETOT`/`MODIFICĒT`/`NOŅEMT` darbības notiek ar "Saime", "Lauks", "LaukaSatelītaAttēls", "RastrAnalīzesKarte", "VektoruAnalīzesKarte", citām vienībām.

Abonementu mehānisms balstās uz MQTT un WebSocket. Mūsu ieteikums ir sākt integrāciju, izlasot [AWS AppSync abonementa rakstu](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
Abonementa notikumi tiek nosūtīti tiklīdz notikums ir noticis GeoPard aizmugures sistēmā.
{% endhint %}

{% hint style="info" %}
Katrā abonementa notikumā ir unikāla identifikācija, ko sauc par `uuid`, kas ir noderīga apstrādāto un izlaisto notikumu filtrēšanai, kas pieprasīti no [82. Vaicājums: Atjaunot abonementa notikumus](/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/82.-mutacija-atjaunot-abonesanas-notikumus.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    darbība
    nodePath {
      entītija
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/1.-abonements-iegut-notikumus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
